
Redmine - Defect #4160

Pre-filled time tracking date ignores timezone

2009-11-03 11:36 - Andreas Neuhaus

Status: Closed Start date: 2009-11-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

If you are about to create a new time tracking entry (time_entries/new action), the spent_on date field is pre-filled with the current

date. Unfortunately, this date is taken from the server time and ignores the user's timezone.

This occurred today morning. We're located in Germany and users's have GMT+1. The Server is located somewhere in the US

(running on heroku.com). Today is Nov 3rd, but when we added a time tracking entry, its spent_on date field was pre-filled with Nov

2nd (probably because at the server's location it's still yesterday). Later on this day I noticed the correct date was pre-filled (probably

because it was past midnight now at the server's location).

Related issues:

Related to Redmine - Defect #9619: Time zone ignored when logging time while ... Closed 2011-11-21

Associated revisions

Revision 3012 - 2009-11-06 20:41 - Jean-Philippe Lang

Fixed: Pre-filled time tracking date ignores timezone (#4160).

History

#1 - 2009-11-06 20:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed
